1
vote
1answer
21 views

installing libsocket-perl, apt-get searches for wrong filename extension, gets 404

I've been having trouble installing a package for a number of days now and can't find the solution anywhere, though I have been able to figure out more exactly what's going wrong. It appears that ...
5
votes
2answers
250 views

Find out what 'apt-get install' did

This might be a really newbie question but here we go: How can I find out what commands a package ran to install the software with apt-get install <package>? For example, if I install a ...
3
votes
2answers
6k views

Packages still not found even after apt-get update

I am working on a Linux Mint 16 computer and since recently, every time I want to install something via apt-get install, the log message says that the packages couldn't be authenticated. I go ahead ...
4
votes
2answers
72 views

How to prevent prompt that ask to restart services when installing libpq-dev

I want to install libpq-dev on my Vagrant machine. I install it with $ apt-get install -y libpq-dev During installation a prompt appears which asks if it's allowed to restart some services ...
-3
votes
4answers
141 views

How to install a downloaded deb file [closed]

I am new to Ubuntu and I am trying to install Compiz-Config-Manager, but it will not let me. This computer is not connected to the Internet, so I downloaded the .deb file onto a USB and transferred it ...
2
votes
2answers
201 views

Installing python gives dpkg error

Installing python gives a dpkg error. I have done these commands, output below $ sudo apt-get install python3.4 $ sudo dpkg -C $ sudo apt-get check $ apt-cache policy libglib2.0-dev $ sudo ...
1
vote
1answer
67 views

Installing courier-mta causes sendmail to be installed instead

My Debian workstation will not install courier-mta. The command aptitude install courier-mta appears to complete without error, but actually installs sendmail instead. What I did I'll start without ...
0
votes
1answer
99 views

Install a different version of Maven from the one provided by Ubuntu

I would like to install a package on Ubuntu 10.04.4 but would like to not use the one available in the one repository that I get when I do: apt-cache policy ${package} I would actually like to ...
1
vote
0answers
527 views

E: Unable to locate package tlp

I an trying to install tlp as explained in the website by addin ppa as follows in Linux Mint 15 sudo add-apt-repository ppa:linrunner/tlp sudo apt-get update and then sudo apt-get update ...
0
votes
0answers
162 views

Wireshark or MC installation wants to remove gnome and more

I want to install wireshark or mc (Midnight Commander) with apt-get or synaptic, but I get a message that "this installation will remove a lot of actually installed packages". There are for example ...
0
votes
0answers
125 views

error when apt-get install nfs-kernel-server

I'm now using the command sudo apt-get install nfs-kernel-server to make my Ubuntu 12.04.2 LTS server support NFS. But it reports this error: Need to get 559 kB of archives. After this operation, ...
0
votes
1answer
196 views

Installing packages from LMDE on debian wheezy

I downloaded thunderbird from LMDE repo and tried to install it on my debian wheezy machine, using apt-get install I get a ton of this garbage output; Note, selecting 'iceape-l10n-cs' for regex '.' ...
1
vote
2answers
261 views

Installing OpenJDK 7 (JRE) but only policytools found in ./jre/bin

I'm trying to install Java 7 onto my Ubuntu machine through apt-get. I'm issuing the to install using apt-get: sudo apt-get openjdk-7-jre apt-get claims a successful install, but I cannot appear to ...
1
vote
1answer
42 views

Reinstall software without re-downloading from software center?

Forgive me if this is an extremely noob question, I am new to Linux. I have installed FlightGear, a flight simulator. Some of the game's main files have been tampered with by a third-party app and ...
0
votes
2answers
146 views

Ubunutu software-centre is not working, showing black screen

I am trying to open ubuntu software-center but it get paused and after that shows complete black and nothing is happening. Same thing has happened when I try to run from command line. This is the ...
2
votes
2answers
470 views

Unable to install any programs

I'm trying to install programs but no matter what program I try installing I get the following error. For example I downloaded skype 'skype-debian_4.2.0.11-1_i386.deb' and ran the command: $ cd ...
0
votes
0answers
281 views

Blender not starting Lubuntu 13.04 PowerPC

I have installed Blender via apt-get on a PowerPC G4 Mac Mini running Lubuntu 13.04, and now it will not start over VNC. Output from running blender in the terminal: Color management: using fallback ...
0
votes
2answers
120 views

Installer packages: .bin, -rpm.bin, tar, tar.z

Is it correct that most of Unix&Linux software supports x-copy deployment? If I download the installation package and uncompress the files into a particular directory - would that be enough to ...
1
vote
5answers
4k views

How to install php5-memcached on Debian 7 with PHP 5.5?

My attempts to install the PHP 5 Memcached module on my Debian 7 VirtualBox VM failed: root@testvm:~# apt-get install php5-memcached Reading package lists... Done Building dependency tree ...
0
votes
2answers
407 views

Unresolved dependencies though the packages are installed (Debian 6 Sqeeze)

I'm working with a VirtualBox 4.2.14 VM and Debian 6 Sqeeze as guest system and want to install some PHP modules: root@devmv:~# apt-get install php5-fpm Reading package lists... Done Building ...
0
votes
2answers
327 views

apt-get failed to fetch package

I want to install curl on my ubuntu: sudo apt-get install curl It gave the following error: Err http://it.archive.ubuntu.com/ubuntu/ maverick/main curl i386 7.21.0-1ubuntu1 404 Not Found [IP: ...
1
vote
1answer
118 views

Ubuntu LTS : best practice for installing gems

Ubuntu 12.04 LTS Server I'm relatively new to Unix/Ubuntu. I need to install the ruby gem libopenssl-ruby. I know that Ubuntu LTS versions maintain lists of authorized package versions. apt-get ...
3
votes
2answers
2k views

How to install Cherokee web server on Debian Wheezy?

I'm trying to install Cherokee webserver on Debian Wheezy. All the docs and websites that I've visited suggest that apt-get install cherokee will do it, but when I do that, I see: $ apt-get install ...
0
votes
1answer
433 views

Lotus Note installation on Linux Mint 14?

I'm trying to install IBM Lotus Note 8.5.3 on Linux Mint 14 using terminal. Problem is that it's not installing and showing following error sudo apt-get install ibm-lotus-notes-8.5.3.i586.deb Reading ...
3
votes
3answers
163 views

Install using synaptic ignoring dependencies

I was trying to install texmaker a latex editor in my debian system from synaptic. It shows in the dependency list texlive-base, texlive-common. etc as dependencies. But I have already installed ...
1
vote
1answer
2k views

Unable to install skype on LMDE,how to resolve these dependencies?

I have downloaded "multiarch" .deb file for latest skype and unable to install it on latest version of LMDE (linux mint debian edition Xfce x86_64). e.g step one : sudo dpkg -i ...
4
votes
1answer
881 views

Automate installation of VirtualBox Guest Additions via command-line

How can I install VirtualBox Guest Additions from a Bash script, in a unattended way? Whenever I run apt-get -y install dkms virtualbox-guest-dkms from the terminal I'm presented with a interactive ...
1
vote
1answer
187 views

Package managers for local installations under home directory [duplicate]

Possible Duplicate: Non-Root Package Managers I work extensively on a remote system where I do not have admin rights. However, I am allowed to install my own binaries and programs under my ...
5
votes
1answer
448 views

Firefox circular-dependency hell on Linux Mint 13

Having difficulty re-installing Firefox, after an installation to resolve places.sqlite issues. It appears that I'm trapped in circular dependency hell. Need to resolve firefox dependency hell to ...
1
vote
1answer
2k views

How to install LXDM instead of GDM3?

I'm running Debian Wheezy and my default Display Manager is GDM3, and I would like to replace it with LXDM. The problem is that I'm trying to run # apt-get install lxde and it's not working, what am I ...
3
votes
1answer
929 views

Can I upgrade to a new version of Python on an old version of Ubuntu?

I have Ubuntu 8.04.3 LTS and ran this: $ sudo apt-get install python2.7 I got this: Reading package lists... Done Building dependency tree Reading state information... Done E: Couldn't find ...
0
votes
1answer
286 views

pattern to install dependencies in linux

Different OSes have different standard way of installing package dependencies; in OS X, all library dependencies are copied in the App folder. Windows application developers have both options; they ...
1
vote
0answers
365 views

Resolving unmet installation dependencies; file system problems

Somehow part of my ext3 file system got corrupted and large portions of my python installation got all sorts of messed up. The only thing I could notice immediately was Python raising a missing module ...
1
vote
2answers
3k views

How to uninstall java on Linux Mint 12

Today, I downloaded the latest java jre which is a .bin file By mistake, I installed it on my desktop by running ./jre. I want to remove this installation, move the .bin file to somewhere else and ...
0
votes
1answer
301 views

How to install non-outdated nvidia drivers using apt-get?

I tried using apt-get install nvidia-current after installation I got 280.13 version, which is not the latest version(290.10). so how can i force apt-get to download the latest driver? Edit: I'm ...
2
votes
1answer
425 views

Upgrading ffmpeg

How can I upgrade ffmpeg to version 0.6 on debian-based operating system? I'm using apt-get for installation and deb packages.
3
votes
1answer
370 views

Installing KDE on Ubuntu Natty from cdrom

Currently I have Ubuntu 11.04 - Natty, with Unity as the default environment; but I just want to install KDE along-side it, and I don't have perfect bandwidth. So I took Kubuntu 11.04 cdrom from my ...
3
votes
1answer
126 views

Link a dependency in Synaptic to the one already installed from source

I want to install SVN version of Quantum GIS and already I have a SVN version of GRASS GIS. As instructed in QGIS Wiki here, I added the qgis repository to my sources.list file. Now I am able to see ...
3
votes
3answers
259 views

What is the preferred way to install new versions of software?

I have installed Ubuntu Server 10.10 and now I want to install some software like PostgreSQL, Nginx and PHP. But what is the preferred way to get the latest stable version of the software? E.g I ...